<?php
/*
 * Local configuration file to provide any overrides to your app.php configuration.
 * Copy and save this file as app_local.php and make changes as required.
 * Note: It is not recommended to commit files with credentials such as app_local.php
 * into source code version control.
 */
return [
    /*
     * Debug Level:
     *
     * Production Mode:
     * false: No error messages, errors, or warnings shown.
     *
     * Development Mode:
     * true: Errors and warnings shown.
     */
    'debug' => filter_var(env('DEBUG', false), FILTER_VALIDATE_BOOLEAN),

    /*
     * Security and encryption configuration
     *
     * - salt - A random string used in security hashing methods.
     *   The salt value is also used as the encryption key.
     *   You should treat it as extremely sensitive data.
     */
    'Security' => [
        'salt' => env('SECURITY_SALT', '0fe857259efffa6649a276aac84f9b70d5dbc0c631560952f05c022d40de3abe'),
        'cookieKey' => env('SECURITY_COOKIE_KEY', '4B0X05+YaBZaTdtD7BApYM11lMj6VYajVpZ60vCdN5E='),
    ],

    /*
     * Connection information used by the ORM to connect
     * to your application's datastores.
     *
     * See app.php for more configuration options.
     */
    'Datasources' => [
        'default' => [
            'host' => 'localhost',
            /*
             * CakePHP will use the default DB port based on the driver selected
             * MySQL on MAMP uses port 8889, MAMP users will want to uncomment
             * the following line and set the port accordingly
             */
            //'port' => 'non_standard_port_number',

           'username' => 'lacommunity_qa_la_user',
            'password' => 'QGtO(*ge9b+g',
            'database' => 'lacommunity_qa3',

            /*
             * If not using the default 'public' schema with the PostgreSQL driver
             * set it here.
             */
            //'schema' => 'myapp',

            /*
             * You can use a DSN string to set the entire configuration
             */
            'url' => env('DATABASE_URL', null),
        ],

        /*
         * The test connection is used during the test suite.
         */
        'test' => [
            'host' => 'localhost',
            //'port' => 'non_standard_port_number',
            'username' => 'my_app',
            'password' => 'secret',
            'database' => 'test_myapp',
            //'schema' => 'myapp',
            'url' => env('DATABASE_TEST_URL', 'sqlite://127.0.0.1/tmp/tests.sqlite'),
        ],
    ],

    /*
     * Email configuration.
     *
     * Host and credential configuration in case you are using SmtpTransport
     *
     * See app.php for more configuration options.
     */
    'EmailTransport' => [
        'default' => [
            'host' => 'localhost',
            'port' => 25,
            'username' => null,
            'password' => null,
            'client' => null,
            'url' => env('EMAIL_TRANSPORT_DEFAULT_URL', null),
        ],
    ],
    
       'Banners' => [
        'home' => 'banners/la-new_banner-zoom-transition',
        'gallery' => 'banners/la_section_top_banners',
        'contact-us' => 'banners/la_section_top_banners',
    ],

    /**
     * Sections Configuration
     *
     * Defines the main sections of the application.
     *
     * @var array $Sections An array containing the main section elements.
     */
    'Sections' => [
         'head-office' => 'body/branch_element_v1',
        'la-branch' => 'body/branch_element_v2',
        'teshie-nungua-agency' => 'body/branch_element_v1',
        'madina-agency' => 'body/branch_element_v2',
        'gallery' => 'body/la-image_caption_hover_from_down_gallery_2_col-v3',
        ],

    /**
     * SubSections Configuration
     *
     * Defines the subsections under the main sections.
     *
     * @var array $SubSections An array containing the subsection elements.
     */
    'SubSections' => [
        'annual-report' => 'body/la-download_annual_pdf_image_title_link_3_col-v3',
        'share-offer-forms' => 'body/la-download_pdf_image_title_link_3_col-v3',
        'personal' => 'body/la-sub_menu_gray_bg_image_title_content_2_col-v3',
        'business' => 'body/la-sub_menu_gray_bg_image_title_content_2_col-v3',
        'serve' => 'body/la-gray_bg_image_name_position_3_col-v3',
        'digital' => 'body/la-gray_bg_image_name_position_3_col-v3',
        'about-lcb' => 'body/la-about_us_multi_element-v3',
        'about-l-c-b' => 'body/la-about_us_multi_element-v4',
        'board-of-directors' => 'body/la-bod_image_name_position_bg_black_3_col-v3',
        'management' => 'body/la-bod_image_name_position_bg_black_3_col-v4',
        'our-business-success' => 'body/la-laco_multi_element_no_blue-v8',
        'manage-risk' => 'body/la-about_us_multi_element-2col',
                'how-we-create-value:' => 'body/la-about_us_multi_element-2col_v2',

        'open-an-account' => 'body/la-gray_bg_image_title_content_3_col-v3',
        'loans' => 'body/la-gray_bg_image_title_content_3_col-v3',
        'b-loans' => 'body/la-gray_bg_image_title_content_3_col-v3',
        'open-a-b-account' => 'body/la-gray_bg_image_title_content_3_col-v3',
        ],

    /**
     * Home Configuration
     *
     * Defines elements specific to the home page.
     *
     * @var array $Home An array containing the home page elements.
     */
    'Home' => [
        'open-an-account' => 'body/home/la-new-image_title_content_button_left_align_3_col-v3',
        'serve' => 'body/home/la-image_bg_title_content_button_right_align-v3',
        'b-loans' => 'body/home/la-image_bg_title_content_button_left_align-v3',
        'business' => 'body/home/la-mtn_image_bg_title_content_button_right_align-v3',
    ],

    /**
     * Home SubSections Configuration
     *
     * Defines subsections under the home page.
     *
     * @var array $HomeSubSections An array containing the home page subsection elements.
     */
    'HomeSubSections' => [],

    /**
     * Menus Configuration
     *
     * Defines the navigation menus of the application.
     *
     * @var array $Menus An array containing the menu elements.
     */
    'Menus' => [],

    /**
     * Details Configuration
     *
     * Defines additional details or metadata for sections.
     *
     * @var array $Details An array containing the detail elements.
     */
    'Details' => [
        'laco-kid-account' => 'body/details/la-laco_multi_element_with_download-v5',
        'laco-stud-account' => 'body/details/la-laco_multi_element_with_download-v5',
        'laco-save-account' => 'body/details/la-laco_multi_element_with_download-v5',
        'laco-ind-account' => 'body/details/la-laco_multi_element_with_download-v5',
        'laco-susu-account' => 'body/details/la-laco_multi_element_with_download-v5',
        'corporate-overdraft' => 'body/details/la-two_column_multi_element-v5',
        
        'cagd-loan' => 'body/details/la-laco_multi_element_with_download-v5-1',
        'lacocredit' => 'body/details/la-laco_multi_element_no_blue-v5',
        "laco-salary-advance"  => 'body/details/la-laco_multi_element_no_blue-v5',
        "laco-pension-loan"  => 'body/details/la-laco_multi_element_no_blue-v5',
        'laco-salary-loan' => 'body/details/la-laco_multi_element_no_blue-v5',
        'laco-school-account' => 'body/details/la-laco_multi_element_with_download-v5',
        'laco-biz-account' => 'body/details/la-laco_multi_element_with_download-v5',
        
        'lovelace-naa-martekor-adjei-aku-mcim' => 'body/details/la-bod_name_position_content-v5',
        'dr-ni-kwaku-sowa' => 'body/details/la-bod_name_position_content-v5',
        'seth-nii-sodjah-quao' => 'body/details/la-bod_name_position_content-v5',
        'mr-david-emmanuel-anang-oddoye' => 'body/details/la-bod_name_position_content-v5',
        'dr-mrs-matilda-pappoe' => 'body/details/la-bod_name_position_content-v5',
        'kennedy-wiafe-effah-esq' => 'body/details/la-bod_name_position_content-v5',
        'ken-owusu-twumasi' => 'body/details/la-bod_name_position_content-v5',
        'peter-vanderpuije' => 'body/details/la-bod_name_position_content-v5',
        'isaac-asante-adentwi' => 'body/details/la-bod_name_position_content-v5',
        'mr-ayisah-isaac' => 'body/details/la-bod_name_position_content-v5',
        'emmanuel-plange'  => 'body/details/la-bod_name_position_content-v5',
        ],


    /**
     * Footers Configuration
     *
     * Defines additional Footers or metadata for sections.
     *
     * @var array $Footers An array containing the Footers elements.
     */
    'Footers' => [],
];
