<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Feedback Entity
 *
 * @property int $id
 * @property string|null $name
 * @property string|null $phone
 * @property string|null $email
 * @property string|null $subject
 * @property string|null $message
 * @property \Cake\I18n\FrozenDate|null $check_in
 * @property \Cake\I18n\FrozenDate|null $check_out
 * @property int|null $adults
 * @property int|null $children
 * @property string|null $rooms
 * @property string|null $comment
 * @property int $country
 * @property \Cake\I18n\FrozenTime|null $created
 * @property \Cake\I18n\FrozenTime|null $modified
 */
class Feedback extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'name' => true,
        'phone' => true,
        'email' => true,
        'subject' => true,
        'message' => true,
        'check_in' => true,
        'check_out' => true,
        'adults' => true,
        'children' => true,
        'rooms' => true,
        'comment' => true,
        'country' => true,
        'created' => true,
        'modified' => true,
    ];
}
