<?php
/**
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link          https://cakephp.org CakePHP(tm) Project
 * @since         0.10.0
 * @license       https://opensource.org/licenses/mit-license.php MIT License
 * @var \App\View\AppView $this
 */

$siteDescription = $appSettings['SITE-NAME'];
?>
<!DOCTYPE html>
<html>

<head>
	<?= $this->Html->charset() ?>
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title>
		<?= $siteDescription ?>
		<?= $this->fetch('title') ?>
	</title>

	<?= $this->Html->meta('favicon.ico', 'img/favicon.png', array('type' => 'icon')) ?>

	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">

	<?= $this->Html->css(['menu', 'banner', 'footer', 'global', 'custome', 'lightbox.min']) ?>

	<?= $this->Html->css(['bootstrap-icons/font/bootstrap-icons.css']) ?>

	<?= $this->Html->script(['scrollTop', 'scroll']); ?>

	<?= $this->fetch('meta') ?>
	<?= $this->fetch('css') ?>
	<?= $this->fetch('script') ?>
</head>

<body>

	<nav class="top-nav">
		<div class="top-nav-title">
			<?php echo $this->element(Cake\Core\Configure::read('Menus.main_menu', 'menus/default_menu')); ?>
		</div>
	</nav>

	<main class="">
		<?= $this->fetch('content') ?>
	</main>

	<footer>
		<?php echo $this->element(Cake\Core\Configure::read('Footers.footer', 'footers/default_footer')); ?>
	</footer>

	<script src="https://code.jquery.com/jquery-3.7.1.min.js"
		integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>

	<?= $this->Html->script(['lightbox.min']); ?>

	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4"
		crossorigin="anonymous">
	</script>
	
</body>

</body>

</html>